(function (global, factory) {
    if (typeof define === "function" && define.amd) {
        define(['exports', 'react', './FacebookStyle', './InstagramStyle'], factory);
    } else if (typeof exports !== "undefined") {
        factory(exports, require('react'), require('./FacebookStyle'), require('./InstagramStyle'));
    } else {
        var mod = {
            exports: {}
        };
        factory(mod.exports, global.react, global.FacebookStyle, global.InstagramStyle);
        global.index = mod.exports;
    }
})(this, function (exports, _react, _FacebookStyle, _InstagramStyle) {
    'use strict';

    Object.defineProperty(exports, "__esModule", {
        value: true
    });

    var _react2 = _interopRequireDefault(_react);

    var _FacebookStyle2 = _interopRequireDefault(_FacebookStyle);

    var _InstagramStyle2 = _interopRequireDefault(_InstagramStyle);

    function _interopRequireDefault(obj) {
        return obj && obj.__esModule ? obj : {
            default: obj
        };
    }

    function _classCallCheck(instance, Constructor) {
        if (!(instance instanceof Constructor)) {
            throw new TypeError("Cannot call a class as a function");
        }
    }

    var _createClass = function () {
        function defineProperties(target, props) {
            for (var i = 0; i < props.length; i++) {
                var descriptor = props[i];
                descriptor.enumerable = descriptor.enumerable || false;
                descriptor.configurable = true;
                if ("value" in descriptor) descriptor.writable = true;
                Object.defineProperty(target, descriptor.key, descriptor);
            }
        }

        return function (Constructor, protoProps, staticProps) {
            if (protoProps) defineProperties(Constructor.prototype, protoProps);
            if (staticProps) defineProperties(Constructor, staticProps);
            return Constructor;
        };
    }();

    function _possibleConstructorReturn(self, call) {
        if (!self) {
            throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
        }

        return call && (typeof call === "object" || typeof call === "function") ? call : self;
    }

    function _inherits(subClass, superClass) {
        if (typeof superClass !== "function" && superClass !== null) {
            throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
        }

        subClass.prototype = Object.create(superClass && superClass.prototype, {
            constructor: {
                value: subClass,
                enumerable: false,
                writable: true,
                configurable: true
            }
        });
        if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
    }

    /**
     * [hashCode - This function is to create an id for SVG]
     * BUT, I can't believe this is the best approach
     * If you know a better solution open a PR, please!
     */
    var hashCode = function hashCode() {
        var text = "";
        var possible = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";

        for (var i = 0; i < 5; i++) {
            text += possible.charAt(Math.floor(Math.random() * possible.length));
        }return text;
    };

    var ContentLoader = function (_Component) {
        _inherits(ContentLoader, _Component);

        function ContentLoader(props) {
            _classCallCheck(this, ContentLoader);

            var _this = _possibleConstructorReturn(this, (ContentLoader.__proto__ || Object.getPrototypeOf(ContentLoader)).call(this, props));

            _this.state = {
                style: props.style,
                type: props.type || 'facebook',
                speed: props.speed || 2,
                primaryColor: props.primaryColor || '#f3f3f3',
                secondaryColor: props.secondaryColor || '#ecebeb',
                classNameHash: hashCode()
            };
            return _this;
        }

        _createClass(ContentLoader, [{
            key: 'render',
            value: function render() {
                var elementContentLoader = {};

                switch (this.state.type) {
                    case 'instagram':
                        elementContentLoader = _react2.default.createElement(_InstagramStyle2.default, this.state);
                        break;

                    case 'facebook':
                    default:
                        elementContentLoader = _react2.default.createElement(_FacebookStyle2.default, this.state);
                }

                return elementContentLoader;
            }
        }]);

        return ContentLoader;
    }(_react.Component);

    ContentLoader.propTypes = {
        style: _react2.default.PropTypes.object,
        type: _react2.default.PropTypes.string,
        speed: _react2.default.PropTypes.number,
        primaryColor: _react2.default.PropTypes.string,
        secondaryColor: _react2.default.PropTypes.string
    };

    exports.default = ContentLoader;
});